I can't get a 3.8 (IKE) VPN to link to save my life. I think the problem is
the ISP but I don't know what the problem is to inform them of it. The C2S
VPN works without a problem, and a 3.6/7 (SKIP) VPN will work without issue
as well. Does anyone know what the difference is on a protocol level?

IKE shows no error, if you try to resync the connection both Master and
Slave show utilization that they are trying, but they never link..

Any ideas?